Skip to main content
POST
/
images
/
{id}
/
remove-background
Remove the background from an image
curl --request POST \
  --url https://www.trybloom.ai/api/v1/images/{id}/remove-background \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "brandSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<unknown>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.trybloom.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

ID of a completed image to remove the background from

Body

application/json
brandSessionId
string<uuid>
required

Brand session ID (from GET /brands)

Response

OK

data
object
required